Deleted Added
full compact
mkdep.gcc.sh (22024) mkdep.gcc.sh (22641)
1#!/bin/sh -
2#
3# Copyright (c) 1991, 1993
4# The Regents of the University of California. All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:

--- 18 unchanged lines hidden (view full) ---

27# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
28# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
29# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
30# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
31# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
32# SUCH DAMAGE.
33#
34# @(#)mkdep.gcc.sh 8.1 (Berkeley) 6/6/93
1#!/bin/sh -
2#
3# Copyright (c) 1991, 1993
4# The Regents of the University of California. All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:

--- 18 unchanged lines hidden (view full) ---

27# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
28# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
29# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
30# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
31# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
32# SUCH DAMAGE.
33#
34# @(#)mkdep.gcc.sh 8.1 (Berkeley) 6/6/93
35# $FreeBSD: head/usr.bin/mkdep/mkdep.gcc.sh 22024 1997-01-27 00:10:53Z wosch $
35# $FreeBSD: head/usr.bin/mkdep/mkdep.gcc.sh 22641 1997-02-13 12:05:12Z bde $
36
37PATH=/bin:/usr/bin; export PATH
38
39D=.depend # default dependency file is .depend
40append=0
41pflag=
42
43while :

--- 14 unchanged lines hidden (view full) ---

58 pflag=p
59 shift ;;
60 *)
61 break ;;
62 esac
63done
64
65case $# in 0)
36
37PATH=/bin:/usr/bin; export PATH
38
39D=.depend # default dependency file is .depend
40append=0
41pflag=
42
43while :

--- 14 unchanged lines hidden (view full) ---

58 pflag=p
59 shift ;;
60 *)
61 break ;;
62 esac
63done
64
65case $# in 0)
66 echo 'usage: mkdep [-p] [-f depend_file] [cc_flags] file ...'
66 echo 'usage: mkdep [-ap] [-f file] [flags] file ...' >&2
67 exit 1;;
68esac
69
70TMP=_mkdep$$
71trap 'rm -f $TMP ; exit 1' 1 2 3 13 15
72trap 'rm -f $TMP' 0
73
74# For C sources, mkdep must use exactly the same cpp and predefined flags
75# as the compiler would. This is easily arranged by letting the compiler
76# pick the cpp. mkdep must be told the cpp to use for exceptional cases.
77MKDEP_CPP=${MKDEP_CPP-"cc -E"}
78
79echo "# $@" > $TMP # store arguments for debugging
80
81if $MKDEP_CPP -M "$@" >> $TMP; then :
82else
67 exit 1;;
68esac
69
70TMP=_mkdep$$
71trap 'rm -f $TMP ; exit 1' 1 2 3 13 15
72trap 'rm -f $TMP' 0
73
74# For C sources, mkdep must use exactly the same cpp and predefined flags
75# as the compiler would. This is easily arranged by letting the compiler
76# pick the cpp. mkdep must be told the cpp to use for exceptional cases.
77MKDEP_CPP=${MKDEP_CPP-"cc -E"}
78
79echo "# $@" > $TMP # store arguments for debugging
80
81if $MKDEP_CPP -M "$@" >> $TMP; then :
82else
83 echo 'mkdep: compile failed.'
83 echo 'mkdep: compile failed' >&2
84 exit 1
85fi
86
87case x$pflag in
88 x) case $append in
89 0) sed -e 's; \./; ;g' < $TMP > $D;;
90 *) sed -e 's; \./; ;g' < $TMP >> $D;;
91 esac
92 ;;
93 *) case $append in
94 0) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP > $D;;
95 *) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP >> $D;;
96 esac
97 ;;
98esac
99
100exit $?
84 exit 1
85fi
86
87case x$pflag in
88 x) case $append in
89 0) sed -e 's; \./; ;g' < $TMP > $D;;
90 *) sed -e 's; \./; ;g' < $TMP >> $D;;
91 esac
92 ;;
93 *) case $append in
94 0) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP > $D;;
95 *) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP >> $D;;
96 esac
97 ;;
98esac
99
100exit $?